package siprp.higiene.gestao;

import javax.swing.JTabbedPane;

import siprp.higiene.gestao.equipamentos.GerirEquipamentosPanel;
import siprp.higiene.gestao.legislacao.GerirLegislacaoPanel;
import siprp.higiene.gestao.normalizacao.GerirNormalizacaoPanel;
import siprp.higiene.gestao.riscos.GerirRiscosPanel;

import static com.evolute.utils.strings.UnicodeLatin1Map.*;

public class GlobalPanel extends JTabbedPane
{

	private static final long serialVersionUID = 1L;
	
	private final GerirRiscosPanel panelRiscos = new GerirRiscosPanel();
	
	private final GerirLegislacaoPanel panelLegislacao = new GerirLegislacaoPanel();
	
	private final GerirNormalizacaoPanel panelNormalizacao= new GerirNormalizacaoPanel();
	
	private final GerirEquipamentosPanel panelEquipamentos = new GerirEquipamentosPanel();

	public GlobalPanel()
	{
		startupComponents();
		setupLayout();
		placeComponents();
		startupListeners();
	}
	
	private void startupComponents()
	{
		addTab( "Riscos", panelRiscos );
		addTab( "Legisla" + ccedil + atilde + "o", panelLegislacao );
		addTab( "Normaliza" + ccedil + atilde + "o", panelNormalizacao );
		addTab( "Equipamentos", panelEquipamentos );
		setEnabledAt( 3, false );
	}
	
	private void setupLayout()
	{
	}
	
	private void placeComponents()
	{
	}
	
	private void startupListeners()
	{
	}
	
}
